%define name    ayttm 
%define version 0.4.2
%define release 1mdk

# Enable to turn off stripping of binaries
%{?_without_stripping: %{expand: %%define __os_install_post %%{nil}}}

# Define Mandrake Linux version we are building for
# (macro shamelessly stolen from the XFree86 spec file)
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' %{_sysconfdir}/mandrake-release)

# with xft
%define with_xft 0
%if %mdkversion >= 910
  %define with_xft 1
%endif

%{?_with_xft: %{expand: %%define with_xft 1}}
%{?_without_xft: %{expand: %%define with_xft 0}}

Summary: Instant messaging client 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Instant messaging
Source: %{name}-%{version}.tar.bz2
Source1: %{SOURCE0}.sig
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
Obsoletes: everybuddy
Provides: everybuddy
URL: http://ayttm.sourceforge.net
BuildRequires: bison
BuildRequires: flex
BuildRequires: gtk+-devel
BuildRequires: libltdl-devel
BuildRequires: libesound-devel
BuildRequires: libarts-devel
BuildRequires: freetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: gettext-devel
BuildRequires: automake1.7
BuildRequires: libaspell-devel
BuildRequires: libxpm-devel
BuildRequires: libgpgme-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Ayttm is designed to become a Universal Instant Messaging client
designed to seamlessly integrate all existing Instant Messaging clients and
provide a single consistant user interface. Currently, Ayttm supports
sending and receiving messages via AOL, ICQ, Yahoo, MSN, IRC and Jabber.
Ayttm is a fork of everybuddy, which is being maintained and has bug
fixes made to it.  Everybuddy is now obsolete so you should use ayttm
instead.  To convert your prefs from everybuddy to ayttm start ayttm,
configure an account and then use the importer on the Edit menu.

%prep
#CVS build setup
#%setup -q -n %{name}-20030130
%setup -q

%build
# gen is needed for CVS builds or anytime we
# patch the configure script.
#./gen
%if %with_xft
  %configure --enable-esd --enable-arts --enable-xft
%else
  %configure --enable-esd --enable-arts
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

# We don't need the .a files...
rm -f %{buildroot}/%{_libdir}/%{name}/*.a

(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/ayttm"\
icon="%{name}.png"\
title="Ayttm"\
longtitle="Universal Instant Messaging Client"\
needs="x11"\
section="Networking/Instant messaging"
EOF
)  

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet/Ayttm.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/ayttm.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/ayttm.desktop

%find_lang %name

%post
%{update_menus}

# Fix the paths to the modules in the prefs files...
# Note that $ has to be escaped so the shell doesn't wack 
# them.
perl <<EOP
while (my (@pwent) = getpwent()) {
  my \$homedir = \$pwent[7];
  my \$prefs;
  if (open PREFS, "<\$homedir/.ayttm/prefs") {
    while (<PREFS>) {
      s!%{_datadir}/%{name}/modules!%{_libdir}/%{name}!g;
      \$prefs .= \$_;
    }
    close PREFS;
    unless (rename("\$homedir/.ayttm/prefs","\$homedir/.ayttm/prefs.orig")) {
      warn "Cannot rename \$homedir/.ayttm/prefs to \$homedir/.ayttm/prefs.orig";
      next;
    }
    open PREFS, ">\$homedir/.ayttm/prefs";
    print PREFS \$prefs;
    close PREFS;
  }
}
EOP

%postun
%{clean_menus}

%files -f %name.lang
%defattr (-,root,root)
%doc doc/ AUTHORS COPYING ChangeLog INSTALL README TODO ABOUT-NLS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%dir %_datadir/%name
%_datadir/%name/*
%dir %_libdir/%name
%_libdir/%name/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_menudir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc


%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Mon Aug 25 2003 Ben Reser <ben@reser.org> 0.4.0-1mdk
- 0.4.0 (Uses MSNP8 so it'll work after Oct 15th 2003)

* Sat Aug 23 2003 Ben Reser <ben@reser.org> 0.3.4-1mdk
- 0.3.4 a special release just for us Mandrake folks.  :)
  I.E. done so it would get into 9.2!

* Fri Jul 18 2003 Ben Reser <ben@reser.org> 0.3.3-2mdk
- Apply fixes Per yvind Karlsen tried to apply but were rejected
  because he applied them against 0.3.2-1mdk.
	- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
	- macroize
	- fix typo
	- don't list directories twice
- Really fix the error message in the perl script. 

* Wed Jul 16 2003 Ben Reser <ben@reser.org> 0.3.3-1mdk
- 0.3.3
- Drop pspell patch, integrated upstream.
- Fix description to not mention the script dropped in
  the previous release.

* Mon Jul 07 2003 Ben Reser <ben@reser.org> 0.3.2-1mdk
- 0.3.2
- Use pspell now so drop the Requires on ispell.
- BuildRequires for libxpm-devel and libaspell-devel
- BuildRequires for automake1.7
- BuildRequires libgpgme for encryption support
- Drop script to convert everybuddy prefs to ayttm
  since there is now a built in importer.
- Patch to fix configure script to work with the 
  aspell version of pspell.

* Wed Apr 30 2003 Ben Reser <ben@reser.org> 0.3.0-1mdk
- 0.3.0
- Obsolete and Provide everybuddy
- Script to convert everybuddy prefs to ayttm
- Add gettext-devel to BuildRequires
- Remove Makefile patch to put modules in %%{_libdir},
  integrated upstream.
- Added sig for source package to SRPM.

* Thu Apr 03 2003 Ben Reser <ben@reser.org> 0.2.3-1mdk
- 0.2.3
- Add libgdk-pixbuf-devel to BuildRequires
- Change URL to sf.net URL
- Remove chat restore patch, included in 0.2.3
- merge 9.0/9.1 builds together, automatically decides 
  if xft should be enabled now.  Can override with:
  --with xft  or --without xft

* Sun Mar 09 2003 Ben Reser <ben@reser.org> 0.2.2-2mdk
- Move the modules to %%_libdir rather than %%_datadir
  to comply with FHS.
- Add script to post to fix prefs due to the change in
  path for the modules.
- Remove static library files that we don't really need.
- Enable xft
- BuildRequire freetype-devel

* Wed Feb 26 2003 Ben Reser <ben@reser.org> 0.2.2-1mdk
- 0.2.2
- Remove readprefs patch, integrated upstream.
- Add patch to fix chat restore with do_strip_html=1
  Was a bug in the released version.

* Tue Feb 11 2003 Ben Reser <ben@reser.org> 0.2.1-2mdk
- Fix description
- Fix group
- Remove unused menu files
- Make package the owner of its dir under share
- Add some missing documentation files.
- Add icons for the menu
- Use Mandrake macros for build
- Add BuildRequires/Requires
- Add some commented out stuff to the spec for easier CVS builds.
- Quiet the %%setup.
- Clean out non-Mandrake formated changelog
- Force arts and esd to be enabled so it should work right with them
  without soundwrapper!

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- new
- icon
- bzip2 patch
